Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 25 Jan 2022 13:23:41 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I made an order a few days back. On Wednesday I received a message saying my order is delivered. My order is not delivered until now. I called customer service 3 times but the issue is still not resolved. Last call, the reply was management is off today and I should wait till next week. I am not sure if the protocol in resolving issues put in place is a convenient one. I do not need to wait a few days until management emails the courier or resolves the issue knowing that other companies deliver orders same day or next day and in case of any issues, they are resolves immediately. That being said, something is wrong with the system that needs so many days to resolve a silly issue like this. 
Kindly make sure this issue is resolved for once and for all immediately. Also note that I want the products I ordered. I do not want a cancellation and refund as I have wasted time picking the items and shopping for them and calling Max unless you want to drive a customer away. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3792551